package com.muyu.data.processing.strategy.leaves;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.enums.ClassType;
import com.muyu.data.processing.domain.KafkaData;
import com.muyu.data.processing.service.DataProcessingService;
import com.muyu.data.processing.service.impl.DataProcessingServiceImpl;
import com.muyu.data.processing.strategy.StrategyHandler;
import com.muyu.data.processing.utils.DataUtils;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Set;

/**
 * 策略-时序新增-车辆信息
 *
 * @Author: 胡杨
 * @Name: InsIotDbStrategy
 * @Description: 新增时序数据库类
 * @CreatedDate: 2024/9/28 下午8:57
 * @FilePath: com.muyu.data.processing.strategy.leaves
 */
@Component
public class InsIotDbStrategy implements StrategyHandler<HashMap<String, KafkaData>, Result<String[]>> {

    @Override
    public Result<String[]> apply(HashMap<String, KafkaData> map) {
        StringBuffer key = new StringBuffer("timestamp,");
        StringBuffer value = new StringBuffer(System.currentTimeMillis()+",");
        ArrayList<String> keys = new ArrayList<>(map.keySet());
        keys.forEach(k -> {
            key.append(k).append(",");
            value.append(DataUtils.convert(map.get(k).getValue(), ClassType.getInfo(map.get(k).getType()))).append(",");
        });
//        return Result.success(insIotDbData(key.toString(),value.toString()));
        return Result.success(new String[]{
                key.subSequence(0,key.length()-1).toString(),
                value.subSequence(0,value.length()-1).toString()
        });
    }
}
