package com.muyu.data.processing.strategy.root;

import com.muyu.common.core.domain.Result;
import com.muyu.data.processing.domain.KafkaData;
import com.muyu.data.processing.strategy.abstractStrategyRouter;
import com.muyu.data.processing.strategy.leaves.InsIotDbStrategy;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * 策略路由实现
 *
 * @Author: 胡杨
 * @Name: RootStrategy
 * @Description: 策略路由实现
 * @CreatedDate: 2024/9/28 上午10:39
 * @FilePath: com.muyu.data.processing.strategy.impl
 */

@Slf4j
@Component
public class RootStrategy extends abstractStrategyRouter<HashMap<String, KafkaData>, Result<String[]>> {
    @Override
    protected StrategyMapper<HashMap<String, KafkaData> , Result<String[]>> registerStrategy() {
        return param -> new InsIotDbStrategy();
    }

}
